## haskell-esqueleto 2.5.3.git20180402

=== Makefile ===
build:
	stack build

build-tests:
	stack build --test --no-run-tests

ghci:
	stack ghci

test:
	stack test

# Intended for use in local dev
test-postgresql: reset-pgsql
	stack test esqueleto:postgresql

test-mysql:
	stack test esqueleto:mysql

test-ghci:
	stack ghci esqueleto:test:sqlite

test-ghcid:
	ghcid -c "stack ghci --ghci-options -fobject-code esqueleto:test:sqlite"

# sudo -u postgres createuser -s - esqueleto-test
reset-pgsql:
	-sudo -u postgres dropdb esqutest
	-sudo -u postgres dropuser esqutest
	echo "CREATE USER esqutest WITH PASSWORD 'esqutest';" | sudo -u postgres psql
	sudo -u postgres createdb -O esqutest esqutest

.PHONY: build build-7.10 build-8.0 ghci test test-ghci

## haskell-esqueleto 1.3.4.2

=== debian/changelog ===
haskell-esqueleto (1.3.4.2-1build1) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Feb 2014 15:00:17 +0000

haskell-esqueleto (1.3.4.2-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 22 Dec 2013 09:24:12 -0500

=== debian/control ===
Source: haskell-esqueleto
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-conduit-dev
  , libghc-conduit-prof
  , libghc-monad-logger-dev
  , libghc-monad-logger-prof
  , libghc-persistent-dev (>= 1.2)
  , libghc-persistent-dev (<< 1.3)
  , libghc-persistent-prof
  , libghc-resourcet-dev
  , libghc-resourcet-prof
  , libghc-tagged-dev (>= 0.2)
  , libghc-tagged-prof
  , libghc-text-dev (>= 0.11)
  , libghc-text-dev (<< 0.12)
  , libghc-text-prof
  , libghc-transformers-dev (>= 0.2)
  , libghc-transformers-prof
  , libghc-unordered-containers-dev (>= 0.2)
  , libghc-unordered-containers-prof
  , libghc-hunit-dev
  , libghc-quickcheck2-dev
  , libghc-hspec-dev (>= 1.3)
  , libghc-hspec-dev (<< 1.9)
  , libghc-persistent-sqlite-dev (>= 1.2)
  , libghc-persistent-sqlite-dev (<< 1.3)
  , libghc-persistent-template-dev (>= 1.2)
  , libghc-persistent-template-dev (<< 1.3)
  , libghc-monad-control-dev
Build-Depends-Indep: ghc-doc
  , libghc-conduit-doc
  , libghc-monad-logger-doc
  , libghc-persistent-doc
  , libghc-resourcet-doc
  , libghc-tagged-doc
  , libghc-text-doc
  , libghc-transformers-doc
  , libghc-unordered-containers-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/esqueleto
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-esqueleto
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-esqueleto
X-Description: bare-bones, type-safe EDSL for SQL on persistent backends
 esqueleto is a bare bones, type-safe EDSL for SQL queries
 that works with unmodified persistent SQL backends.  Its
 language closely resembles SQL, so (a) you don't have to learn
 new concepts, just new syntax, and (b) it's fairly easy to
 predict the generated SQL and optimize it for your backend.
 Most kinds of errors committed when writing SQL are caught as
 compile-time errors---although it is possible to write
 type-checked esqueleto queries that fail at runtime.

Package: libghc-esqueleto-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-esqueleto-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-esqueleto-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-esqueleto 1.4.1.2

=== debian/changelog ===
haskell-esqueleto (1.4.1.2-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 10:38:32 +0100

haskell-esqueleto (1.4.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jun 2014 10:04:49 +0100

haskell-esqueleto (1.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 02 May 2014 13:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,18 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
-  , libghc-conduit-dev
+  , libghc-conduit-dev (>= 1.1)
   , libghc-conduit-prof
   , libghc-monad-logger-dev
   , libghc-monad-logger-prof
-  , libghc-persistent-dev (>= 1.2)
-  , libghc-persistent-dev (<< 1.3)
+  , libghc-persistent-dev (>= 1.3)
+  , libghc-persistent-dev (<< 1.4)
   , libghc-persistent-prof
   , libghc-resourcet-dev
   , libghc-resourcet-prof
   , libghc-tagged-dev (>= 0.2)
   , libghc-tagged-prof
   , libghc-text-dev (>= 0.11)
-  , libghc-text-dev (<< 0.12)
   , libghc-text-prof
   , libghc-transformers-dev (>= 0.2)
   , libghc-transformers-prof
@@ -28,12 +27,11 @@
   , libghc-unordered-containers-prof
   , libghc-hunit-dev
   , libghc-quickcheck2-dev
-  , libghc-hspec-dev (>= 1.3)
-  , libghc-hspec-dev (<< 1.9)
+  , libghc-hspec-dev (>= 1.8)
   , libghc-persistent-sqlite-dev (>= 1.2)
-  , libghc-persistent-sqlite-dev (<< 1.3)
+  , libghc-persistent-sqlite-dev (<< 1.4)
   , libghc-persistent-template-dev (>= 1.2)
-  , libghc-persistent-template-dev (<< 1.3)
+  , libghc-persistent-template-dev (<< 1.4)
   , libghc-monad-control-dev
 Build-Depends-Indep: ghc-doc
   , libghc-conduit-doc
@@ -48,11 +46,11 @@
 Homepage: http://hackage.haskell.org/package/esqueleto
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-esqueleto
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-esqueleto
-X-Description: bare-bones, type-safe EDSL for SQL on persistent backends
+X-Description: type-safe EDSL for SQL on persistent backends
  esqueleto is a bare bones, type-safe EDSL for SQL queries
  that works with unmodified persistent SQL backends.  Its
- language closely resembles SQL, so (a) you don't have to learn
- new concepts, just new syntax, and (b) it's fairly easy to
+ language closely resembles SQL, so you don't have to learn
+ new concepts, just new syntax, and it's fairly easy to
  predict the generated SQL and optimize it for your backend.
  Most kinds of errors committed when writing SQL are caught as
  compile-time errors---although it is possible to write

## haskell-esqueleto 2.1.3

=== debian/changelog ===
haskell-esqueleto (2.1.3-1build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 05 Jul 2015 18:42:42 +0100

haskell-esqueleto (2.1.3-1build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2015 09:22:01 +0100

haskell-esqueleto (2.1.3-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jun 2015 12:29:42 +0100

haskell-esqueleto (2.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 May 2015 21:32:23 +0200

haskell-esqueleto (2.1.2.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 18:20:30 +0200

haskell-esqueleto (2.1.2-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,32 @@
 Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-conduit-dev (>= 1.1)
   , libghc-conduit-prof
   , libghc-monad-logger-dev
   , libghc-monad-logger-prof
-  , libghc-persistent-dev (>= 1.3)
-  , libghc-persistent-dev (<< 1.4)
+  , libghc-persistent-dev (>= 2.1.1.7)
+  , libghc-persistent-dev (<< 2.2)
   , libghc-persistent-prof
-  , libghc-resourcet-dev
+  , libghc-resourcet-dev (>= 1.1)
   , libghc-resourcet-prof
   , libghc-tagged-dev (>= 0.2)
   , libghc-tagged-prof
   , libghc-text-dev (>= 0.11)
+  , libghc-text-dev (<< 1.3)
   , libghc-text-prof
-  , libghc-transformers-dev (>= 0.2)
-  , libghc-transformers-prof
   , libghc-unordered-containers-dev (>= 0.2)
   , libghc-unordered-containers-prof
   , libghc-hunit-dev
   , libghc-quickcheck2-dev
   , libghc-hspec-dev (>= 1.8)
-  , libghc-persistent-sqlite-dev (>= 1.2)
-  , libghc-persistent-sqlite-dev (<< 1.4)
-  , libghc-persistent-template-dev (>= 1.2)
-  , libghc-persistent-template-dev (<< 1.4)
+  , libghc-persistent-sqlite-dev (>= 2.1)
+  , libghc-persistent-sqlite-dev (<< 2.2)
+  , libghc-persistent-template-dev (>= 2.1)
+  , libghc-persistent-template-dev (<< 2.2)
   , libghc-monad-control-dev
 Build-Depends-Indep: ghc-doc
   , libghc-conduit-doc
@@ -40,7 +39,6 @@
   , libghc-resourcet-doc
   , libghc-tagged-doc
   , libghc-text-doc
-  , libghc-transformers-doc
   , libghc-unordered-containers-doc
 Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/esqueleto

## haskell-esqueleto 2.4.1

=== debian/changelog ===
haskell-esqueleto (2.4.1-2build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jan 2016 04:18:01 +0000

haskell-esqueleto (2.4.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:25 -0500

haskell-esqueleto (2.4.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:34 +0200

=== debian/control ===
Source: haskell-esqueleto
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-blaze-html-dev,
 libghc-blaze-html-prof,
 libghc-conduit-dev (>= 1.1),
 libghc-conduit-prof,
 libghc-monad-logger-dev,
 libghc-monad-logger-prof,
 libghc-persistent-dev (>= 2.1.1.7),
 libghc-persistent-dev (<< 2.3),
 libghc-persistent-prof,
 libghc-resourcet-dev (>= 1.1),
 libghc-resourcet-prof,
 libghc-tagged-dev (>= 0.2),
 libghc-tagged-prof,
 libghc-text-dev (>= 0.11),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev,
 libghc-hspec-dev (>= 1.8),
 libghc-monad-control-dev,
 libghc-monad-logger-dev (>= 0.3),
 libghc-persistent-dev,
 libghc-persistent-sqlite-dev (>= 2.1),
 libghc-persistent-template-dev (>= 2.1),
 libghc-resourcet-dev,
 libghc-text-dev,
Build-Depends-Indep: ghc-doc,
 libghc-blaze-html-doc,
 libghc-conduit-doc,
 libghc-monad-logger-doc,
 libghc-persistent-doc,
 libghc-resourcet-doc,
 libghc-tagged-doc,
 libghc-text-doc,
 libghc-unordered-containers-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/prowdsponsor/esqueleto
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: type-safe EDSL for SQL on persistent backends
 esqueleto is a bare bones, type-safe EDSL for SQL queries
 that works with unmodified persistent SQL backends.  Its
 language closely resembles SQL, so you don't have to learn
 new concepts, just new syntax, and it's fairly easy to
 predict the generated SQL and optimize it for your backend.
 Most kinds of errors committed when writing SQL are caught as
 compile-time errors---although it is possible to write
 type-checked esqueleto queries that fail at runtime.

Package: libghc-esqueleto-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-esqueleto-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-esqueleto-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-esqueleto 2.4.2

=== debian/changelog ===
haskell-esqueleto (2.4.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 24 May 2016 22:16:37 -0400

## haskell-esqueleto 2.4.3

=== debian/changelog ===
haskell-esqueleto (2.4.3-5build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 30 Jan 2017 09:21:11 +0530

haskell-esqueleto (2.4.3-5) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:36 -0400

haskell-esqueleto (2.4.3-4) experimental; urgency=medium

  * Fix Build-Depends.

 -- Clint Adams <clint@debian.org>  Sun, 23 Oct 2016 23:14:10 -0400

haskell-esqueleto (2.4.3-3) experimental; urgency=medium

  * More complete patch for persistent 2.6 compatibility.

 -- Clint Adams <clint@debian.org>  Sat, 22 Oct 2016 19:25:09 -0400

haskell-esqueleto (2.4.3-2) experimental; urgency=medium

  * Incompletely patch for newer persistent.  This will break.

 -- Clint Adams <clint@debian.org>  Wed, 12 Oct 2016 12:24:27 -0400

haskell-esqueleto (2.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
  libghc-blaze-html-dev,
  libghc-blaze-html-prof,
@@ -15,7 +15,7 @@
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
  libghc-persistent-dev (>= 2.1.1.7),
- libghc-persistent-dev (<< 2.3),
+ libghc-persistent-dev (<< 2.7),
  libghc-persistent-prof,
  libghc-resourcet-dev (>= 1.1),
  libghc-resourcet-prof,
@@ -45,10 +45,10 @@
  libghc-tagged-doc,
  libghc-text-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/prowdsponsor/esqueleto
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 X-Description: type-safe EDSL for SQL on persistent backends
  esqueleto is a bare bones, type-safe EDSL for SQL queries
  that works with unmodified persistent SQL backends.  Its

## haskell-esqueleto 2.5.2

=== debian/changelog ===
haskell-esqueleto (2.5.2-1build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:35:23 +0000

haskell-esqueleto (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:29:32 -0400

## haskell-esqueleto 2.5.3

=== debian/changelog ===
haskell-esqueleto (2.5.3-1build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 17:16:24 +0100

haskell-esqueleto (2.5.3-1build3) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:51:38 +0000

haskell-esqueleto (2.5.3-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 14:10:38 +0200

haskell-esqueleto (2.5.3-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 10:34:07 +0200

haskell-esqueleto (2.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 20:00:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-esqueleto
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: extra
 Section: haskell
@@ -14,8 +15,8 @@
  libghc-conduit-prof,
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
- libghc-persistent-dev (>= 2.1.1.7),
- libghc-persistent-dev (<< 2.7),
+ libghc-persistent-dev (>= 2.5),
+ libghc-persistent-dev (<< 2.8),
  libghc-persistent-prof,
  libghc-resourcet-dev (>= 1.1),
  libghc-resourcet-prof,
@@ -32,7 +33,7 @@
  libghc-monad-control-dev,
  libghc-monad-logger-dev (>= 0.3),
  libghc-persistent-dev,
- libghc-persistent-sqlite-dev (>= 2.1),
+ libghc-persistent-sqlite-dev (>= 2.1.3),
  libghc-persistent-template-dev (>= 2.1),
  libghc-resourcet-dev,
  libghc-text-dev,
@@ -46,9 +47,9 @@
  libghc-text-doc,
  libghc-unordered-containers-doc,
 Standards-Version: 3.9.8
-Homepage: https://github.com/prowdsponsor/esqueleto
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Homepage: https://github.com/bitemyapp/esqueleto
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-esqueleto
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 X-Description: type-safe EDSL for SQL on persistent backends
  esqueleto is a bare bones, type-safe EDSL for SQL queries
  that works with unmodified persistent SQL backends.  Its

=== debian/watch ===
version=3
http://hackage.haskell.org/package/esqueleto/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-esqueleto 2.5.3.git20180402

=== debian/changelog ===
haskell-esqueleto (2.5.3.git20180402-3) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:30 +0300

haskell-esqueleto (2.5.3.git20180402-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:08:07 +0300

haskell-esqueleto (2.5.3.git20180402-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Clint Adams <clint@debian.org>  Tue, 17 Apr 2018 21:51:37 -0400

haskell-esqueleto (2.5.3-3) unstable; urgency=medium

  * Patch for newer persistent.

 -- Clint Adams <clint@debian.org>  Tue, 17 Apr 2018 20:32:40 -0400

haskell-esqueleto (2.5.3-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,37 @@
 Source: haskell-esqueleto
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
  libghc-blaze-html-dev,
  libghc-blaze-html-prof,
- libghc-conduit-dev (>= 1.1),
+ libghc-conduit-dev (>= 1.3),
  libghc-conduit-prof,
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
- libghc-persistent-dev (>= 2.5),
- libghc-persistent-dev (<< 2.8),
+ libghc-persistent-dev (>= 2.8),
+ libghc-persistent-dev (<< 2.9),
  libghc-persistent-prof,
- libghc-resourcet-dev (>= 1.1),
+ libghc-resourcet-dev (>= 1.2),
  libghc-resourcet-prof,
  libghc-tagged-dev (>= 0.2),
  libghc-tagged-prof,
- libghc-text-dev (>= 0.11),
- libghc-text-dev (<< 1.3),
- libghc-text-prof,
+ libghc-unliftio-dev,
+ libghc-unliftio-prof,
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-prof,
  libghc-hunit-dev,
  libghc-quickcheck2-dev,
  libghc-hspec-dev (>= 1.8),
- libghc-monad-control-dev,
- libghc-monad-logger-dev (>= 0.3),
  libghc-persistent-dev,
  libghc-persistent-sqlite-dev (>= 2.1.3),
  libghc-persistent-template-dev (>= 2.1),
- libghc-resourcet-dev,
- libghc-text-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-blaze-html-doc,
  libghc-conduit-doc,
@@ -44,12 +39,12 @@
  libghc-persistent-doc,
  libghc-resourcet-doc,
  libghc-tagged-doc,
- libghc-text-doc,
+ libghc-unliftio-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/bitemyapp/esqueleto
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-esqueleto
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]
 X-Description: type-safe EDSL for SQL on persistent backends
  esqueleto is a bare bones, type-safe EDSL for SQL queries
  that works with unmodified persistent SQL backends.  Its

## haskell-esqueleto 2.6.0

=== debian/changelog ===
haskell-esqueleto (2.6.0-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Don't build the docs package, it's more useful to at least have the
    module package available for now, working around Debian bug #915646.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2019 12:44:18 +0200

haskell-esqueleto (2.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 16:04:23 -0400

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libghc-conduit-prof,
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
- libghc-persistent-dev (>= 2.8),
- libghc-persistent-dev (<< 2.9),
+ libghc-persistent-dev (>= 2.8.0),
+ libghc-persistent-dev (<< 2.10),
  libghc-persistent-prof,
  libghc-resourcet-dev (>= 1.2),
  libghc-resourcet-prof,
@@ -32,16 +32,7 @@
  libghc-persistent-dev,
  libghc-persistent-sqlite-dev (>= 2.1.3),
  libghc-persistent-template-dev (>= 2.1),
-Build-Depends-Indep: ghc-doc,
- libghc-blaze-html-doc,
- libghc-conduit-doc,
- libghc-monad-logger-doc,
- libghc-persistent-doc,
- libghc-resourcet-doc,
- libghc-tagged-doc,
- libghc-unliftio-doc,
- libghc-unordered-containers-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]
@@ -79,15 +70,3 @@
  ${haskell:LongDescription}
  .
  ${haskell:Blurb}
-
-Package: libghc-esqueleto-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends},
- ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
- ${haskell:LongDescription}
- .
- ${haskell:Blurb}

## haskell-esqueleto 3.3.3.0

=== debian/changelog ===
haskell-esqueleto (3.3.3.0-1build5) groovy; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 22:29:33 +0000

haskell-esqueleto (3.3.3.0-1build4) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 16:14:37 +0200

haskell-esqueleto (3.3.3.0-1build3) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Jul 2020 19:46:41 +0200

haskell-esqueleto (3.3.3.0-1build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 20:38:36 +0200

haskell-esqueleto (3.3.3.0-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 15:32:17 +0200

haskell-esqueleto (3.3.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 13 Jun 2020 13:36:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-esqueleto
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -9,14 +10,19 @@
  cdbs,
  ghc (>= 8.4.3),
  ghc-prof,
+ libghc-aeson-dev (>= 1.0),
+ libghc-aeson-prof,
+ libghc-attoparsec-dev (>= 0.13),
+ libghc-attoparsec-dev (<< 0.14),
+ libghc-attoparsec-prof,
  libghc-blaze-html-dev,
  libghc-blaze-html-prof,
  libghc-conduit-dev (>= 1.3),
  libghc-conduit-prof,
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
- libghc-persistent-dev (>= 2.8.0),
- libghc-persistent-dev (<< 2.10),
+ libghc-persistent-dev (>= 2.10.0),
+ libghc-persistent-dev (<< 2.11),
  libghc-persistent-prof,
  libghc-resourcet-dev (>= 1.2),
  libghc-resourcet-prof,
@@ -26,13 +32,28 @@
  libghc-unliftio-prof,
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-prof,
- libghc-hunit-dev,
- libghc-quickcheck2-dev,
- libghc-hspec-dev (>= 1.8),
- libghc-persistent-dev,
- libghc-persistent-sqlite-dev (>= 2.1.3),
- libghc-persistent-template-dev (>= 2.1),
-Standards-Version: 4.4.0
+ libghc-exceptions-dev,
+ libghc-exceptions-prof,
+ libghc-hspec-dev,
+ libghc-hspec-prof,
+ libghc-persistent-sqlite-dev,
+ libghc-persistent-sqlite-prof,
+ libghc-persistent-template-dev,
+ libghc-persistent-template-prof,
+ libghc-vector-dev,
+ libghc-vector-prof,
+Build-Depends-Indep: ghc-doc,
+ libghc-aeson-doc,
+ libghc-attoparsec-doc,
+ libghc-blaze-html-doc,
+ libghc-conduit-doc,
+ libghc-monad-logger-doc,
+ libghc-persistent-doc,
+ libghc-resourcet-doc,
+ libghc-tagged-doc,
+ libghc-unliftio-doc,
+ libghc-unordered-containers-doc,
+Standards-Version: 4.5.0
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]

## haskell-esqueleto 3.3.3.2

=== debian/changelog ===
haskell-esqueleto (3.3.3.2-2build1) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:26:03 +0000

haskell-esqueleto (3.3.3.2-2) unstable; urgency=medium

  * Sourceful post-NEW upload

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Sep 2020 11:01:17 +0300

haskell-esqueleto (3.3.3.2-1) unstable; urgency=medium

  * New upstream release
  * Re-build the docs package (Closes: #915646)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 20 Aug 2020 08:39:39 +0300

=== debian/control ===
--- 
+++ 
@@ -91,3 +91,16 @@
  ${haskell:LongDescription}
  .
  ${haskell:Blurb}
+
+Package: libghc-esqueleto-doc
+Architecture: all
+Section: doc
+Depends: ${haskell:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Conflicts: ${haskell:Conflicts},
+Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
+ ${haskell:LongDescription}
+ .
+ ${haskell:Blurb}

## haskell-esqueleto 3.5.5.0

=== debian/changelog ===
haskell-esqueleto (3.5.5.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Aug 2022 16:02:32 +0300

## haskell-esqueleto 3.5.8.1

=== debian/changelog ===
haskell-esqueleto (3.5.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 04 Oct 2022 20:56:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-esqueleto
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -13,7 +12,7 @@
  libghc-aeson-dev (>= 1.0),
  libghc-aeson-prof,
  libghc-attoparsec-dev (>= 0.13),
- libghc-attoparsec-dev (<< 0.14),
+ libghc-attoparsec-dev (<< 0.15),
  libghc-attoparsec-prof,
  libghc-blaze-html-dev,
  libghc-blaze-html-prof,
@@ -21,8 +20,8 @@
  libghc-conduit-prof,
  libghc-monad-logger-dev,
  libghc-monad-logger-prof,
- libghc-persistent-dev (>= 2.10.0),
- libghc-persistent-dev (<< 2.11),
+ libghc-persistent-dev (>= 2.13),
+ libghc-persistent-dev (<< 3),
  libghc-persistent-prof,
  libghc-resourcet-dev (>= 1.2),
  libghc-resourcet-prof,
@@ -32,16 +31,27 @@
  libghc-unliftio-prof,
  libghc-unordered-containers-dev (>= 0.2),
  libghc-unordered-containers-prof,
+ libghc-quickcheck2-dev,
+ libghc-quickcheck2-prof,
+ libghc-aeson-dev,
+ libghc-attoparsec-dev,
+ libghc-conduit-dev,
  libghc-exceptions-dev,
  libghc-exceptions-prof,
  libghc-hspec-dev,
  libghc-hspec-prof,
+ libghc-hspec-core-dev,
+ libghc-hspec-core-prof,
+ libghc-persistent-dev,
+ libghc-persistent-postgresql-dev,
+ libghc-persistent-postgresql-prof,
  libghc-persistent-sqlite-dev,
  libghc-persistent-sqlite-prof,
- libghc-persistent-template-dev,
- libghc-persistent-template-prof,
- libghc-vector-dev,
- libghc-vector-prof,
+ libghc-postgresql-simple-dev,
+ libghc-postgresql-simple-prof,
+ libghc-resourcet-dev,
+ libghc-tagged-dev,
+ libghc-unordered-containers-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
  libghc-attoparsec-doc,
@@ -53,7 +63,7 @@
  libghc-tagged-doc,
  libghc-unliftio-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/esqueleto/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-esqueleto 3.5.10.3

=== debian/changelog ===
haskell-esqueleto (3.5.10.3-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 23 Oct 2023 09:29:20 +0300

haskell-esqueleto (3.5.10.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 10 Oct 2023 08:48:38 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  libghc-aeson-dev (>= 1.0),
  libghc-aeson-prof,
@@ -63,7 +63,7 @@
  libghc-tagged-doc,
  libghc-unliftio-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]

## haskell-esqueleto 3.5.11.2

=== debian/changelog ===
haskell-esqueleto (3.5.11.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 11 Oct 2024 11:01:32 +0300

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
  libghc-tagged-doc,
  libghc-unliftio-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]

## haskell-esqueleto 3.6.0.0

=== debian/changelog ===
haskell-esqueleto (3.6.0.0-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Sat, 14 Feb 2026 16:09:22 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts (>= 0.13),
- cdbs,
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libghc-aeson-dev (>= 1.0),
  libghc-aeson-prof,
@@ -63,7 +63,7 @@
  libghc-tagged-doc,
  libghc-unliftio-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/bitemyapp/esqueleto
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-esqueleto
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-esqueleto]
